          ;************************************
          ;   SOFTWARE FOR ET-BOARD VER 4.0   *
          ;       PROGRAM TEST 74LS374        *
          ;  DIGITAL OUTPUT OF ET-ADIO BOARD  *
          ;************************************

          CPU "Z80.TBL"
          HOF  "INT8"

          ORG 2000H

          ;********************
          ;*   MAIN PROGRAM   *
          ;********************

START:    LD HL,TABOUT          ; start address data out
          LD B,TABEND-TABOUT    ; number of data
          LD C,8FH              ; port 74LS374
LOOP:     OUTI                  ; out (C) <- (HL),DEC B,INC HL
          CALL DELAY            ; delay time
          JR NZ,LOOP
          JR START

DELAY:    PUSH AF
          PUSH HL
          LD HL,8000H           ; delay time
DEL1:     DEC HL
          LD A,H
          OR L
          JR NZ,DEL1
          POP HL
          POP AF
          RET


          ;**************************************
          ;* TABLE OF DATA LED DISPLAY OUT PORT *
          ;**************************************

 TABOUT:  DFB 00000001B,00000010B,00000100B,00001000B
          DFB 00010000B,00100000B,01000000B,10000000B
          DFB 10000000B,11000000B,11100000B,11110000B
          DFB 11111000B,11111100B,11111110B,11111111B
 TABEND:
          END
